﻿using VCinemaApi.Models;

namespace VCinemaApi.Hubs
{
    public interface IVCinemaHub
    {
        public Screen CreateScreen(string name, string source);
        public void DeleteScreen(int screenId);
        public Screen WatchScreen(int screenId);
        public void LeaveScreen();
        public Watcher SetWatcherName(string name);
        public Screen SetPlayState(bool playing);
        public void SetPlayState(bool playing, int playOffset);
    }
}
